/* ========================================================================
   Component: Animation
 ========================================================================== */
[class*="pam-animation-"] {
  animation: 0.5s ease-out both;
}
/* Animations
 ========================================================================== */
/*
 * Fade
 */
.pam-animation-fade {
  animation-name: pam-fade;
  animation-duration: 0.8s;
  animation-timing-function: linear;
}
/*
 * Scale
 */
.pam-animation-scale-up {
  animation-name: pam-fade, pam-scale-up;
}
.pam-animation-scale-down {
  animation-name: pam-fade, pam-scale-down;
}
/*
 * Slide
 */
.pam-animation-slide-top {
  animation-name: pam-fade, pam-slide-top;
}
.pam-animation-slide-bottom {
  animation-name: pam-fade, pam-slide-bottom;
}
.pam-animation-slide-left {
  animation-name: pam-fade, pam-slide-left;
}
.pam-animation-slide-right {
  animation-name: pam-fade, pam-slide-right;
}
/*
 * Slide Small
 */
.pam-animation-slide-top-small {
  animation-name: pam-fade, pam-slide-top-small;
}
.pam-animation-slide-bottom-small {
  animation-name: pam-fade, pam-slide-bottom-small;
}
.pam-animation-slide-left-small {
  animation-name: pam-fade, pam-slide-left-small;
}
.pam-animation-slide-right-small {
  animation-name: pam-fade, pam-slide-right-small;
}
/*
 * Slide Medium
 */
.pam-animation-slide-top-medium {
  animation-name: pam-fade, pam-slide-top-medium;
}
.pam-animation-slide-bottom-medium {
  animation-name: pam-fade, pam-slide-bottom-medium;
}
.pam-animation-slide-left-medium {
  animation-name: pam-fade, pam-slide-left-medium;
}
.pam-animation-slide-right-medium {
  animation-name: pam-fade, pam-slide-right-medium;
}
/*
 * Kenburns
 */
.pam-animation-kenburns {
  animation-name: pam-kenburns;
  animation-duration: 15s;
}
/*
 * Shake
 */
.pam-animation-shake {
  animation-name: pam-shake;
}
/*
 * SVG Stroke
 * The `--pam-animation-stroke` custom property contains the longest path length.
 * Set it manually or use `pam-svg="stroke-animation: true"` to set it automatically.
 * All strokes are animated by the same pace and doesn't end simultaneously.
 * To end simultaneously, `pathLength="1"` could be used, but it's not working in Safari yet.
 */
.pam-animation-stroke {
  animation-name: pam-stroke;
  animation-duration: 2s;
  stroke-dasharray: var(--pam-animation-stroke);
}
/* Direction modifier
 ========================================================================== */
.pam-animation-reverse {
  animation-direction: reverse;
  animation-timing-function: ease-in;
}
/* Duration modifier
 ========================================================================== */
.pam-animation-fast {
  animation-duration: 0.1s;
}
/* Toggle animation based on the State of the Parent Element
 ========================================================================== */
.pam-animation-toggle:not(:hover):not(:focus) [class*="pam-animation-"] {
  animation-name: none;
}
/* Keyframes used by animation classes
 ========================================================================== */
/*
 * Fade
 */
@keyframes pam-fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/*
 * Scale
 */
@keyframes pam-scale-up {
  0% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes pam-scale-down {
  0% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}
/*
 * Slide
 */
@keyframes pam-slide-top {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes pam-slide-bottom {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes pam-slide-left {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes pam-slide-right {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(0);
  }
}
/*
 * Slide Small
 */
@keyframes pam-slide-top-small {
  0% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes pam-slide-bottom-small {
  0% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes pam-slide-left-small {
  0% {
    transform: translateX(-10px);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes pam-slide-right-small {
  0% {
    transform: translateX(10px);
  }
  100% {
    transform: translateX(0);
  }
}
/*
 * Slide Medium
 */
@keyframes pam-slide-top-medium {
  0% {
    transform: translateY(-50px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes pam-slide-bottom-medium {
  0% {
    transform: translateY(50px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes pam-slide-left-medium {
  0% {
    transform: translateX(-50px);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes pam-slide-right-medium {
  0% {
    transform: translateX(50px);
  }
  100% {
    transform: translateX(0);
  }
}
/*
 * Kenburns
 */
@keyframes pam-kenburns {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.2);
  }
}
/*
 * Shake
 */
@keyframes pam-shake {
  0%,
  100% {
    transform: translateX(0);
  }
  10% {
    transform: translateX(-9px);
  }
  20% {
    transform: translateX(8px);
  }
  30% {
    transform: translateX(-7px);
  }
  40% {
    transform: translateX(6px);
  }
  50% {
    transform: translateX(-5px);
  }
  60% {
    transform: translateX(4px);
  }
  70% {
    transform: translateX(-3px);
  }
  80% {
    transform: translateX(2px);
  }
  90% {
    transform: translateX(-1px);
  }
}
/*
 * Stroke
 */
@keyframes pam-stroke {
  0% {
    stroke-dashoffset: var(--pam-animation-stroke);
  }
  100% {
    stroke-dashoffset: 0;
  }
}

/* ========================================================================
   Component: Tooltip
 ========================================================================== */
/*
 * 1. Hide by default
 * 2. Position
 * 3. Remove tooltip from document flow to keep the UIkit container from changing its size when injected into the document initially
 * 4. Dimensions
 * 5. Style
 */
.pam-tooltip {
  /* 1 */
  display: none;
  /* 2 */
  position: absolute;
  z-index: 1030;
  --pam-position-offset: 10px;
  --pam-position-viewport-offset: 10;
  /* 3 */
  top: 0;
  /* 4 */
  box-sizing: border-box;
  max-width: 200px;
  padding: 3px 6px;
  /* 5 */
  background: #666;
  border-radius: 2px;
  color: #fff;
  font-size: 12px;
}
/* Show */
.pam-tooltip.pam-active {
  display: block;
}

/* ========================================================================
   Component: Editor
 ========================================================================== */
.pell {
  border: 1px solid hsla(0, 0%, 4%, 0.1);
}
.pell,
.pell-content {
  box-sizing: border-box;
}
.pell-content {
  height: 300px;
  outline: 0;
  overflow-y: auto;
  padding: 10px;
}
.pell-actionbar {
  background-color: hsl(var(--accent));
  border-bottom: 1px solid hsla(0, 0%, 4%, 0.1);
}
.pell-button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  height: 30px;
  outline: 0;
  width: 30px;
  vertical-align: bottom;
}
.pell-button-selected {
  background-color: hsl(var(--background));
}

/* ========================================================================
   Component: Editor
 ========================================================================== */
.pam-editor {
  border: 1px solid hsl(var(--input));
  border-radius: var(--radius);
  overflow: hidden;
}

/* ========================================================================
   Component: Sidebar
 ========================================================================== */
@media (min-width: 1024px) {
  .collapsed #main {
    max-width: 100vw;
  }
}
